PATCH Hire an Applicant in a Track

This API moves an applicant to the configured hire stage of the track.

Request URL

PATCH /tracks/<track_id>/applicants/<application_id>/hire

Body Parameters

{
    "source_stage_id": "string"
}

Warning

Make sure to add your API key in Header of the request

Parameters

Parameter

Type

Description

track_id

integer

ID of the track where the applicant currently exists.

application_id

integer

Application ID of the applicant to be hired.

source_stage_id

string

Optional stage assertion. If provided, applicant must currently be in this stage.

Response

  • A JSON response containing stage transition details after the applicant is hired.

{
    "track_id": "integer",
    "application_id": "integer",
    "candidate_id": "integer",
    "name": "string",
    "email": "string",
    "from_stage": {
        "stage_id": "string",
        "name": "string",
        "type": "string"
    },
    "to_stage": {
        "stage_id": "string",
        "name": "string",
        "type": "string"
    }
}